package com.fs.course.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.course.domain.FsUserVideoLike;

/**
 * 课堂视频点赞Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserVideoLikeService
{
    /**
     * 查询课堂视频点赞
     *
     * @param likeId 课堂视频点赞主键
     * @return 课堂视频点赞
     */
    public FsUserVideoLike selectFsUserVideoLikeByLikeId(Long likeId);

    /**
     * 查询课堂视频点赞列表
     *
     * @param fsUserVideoLike 课堂视频点赞
     * @return 课堂视频点赞集合
     */
    public List<FsUserVideoLike> selectFsUserVideoLikeList(FsUserVideoLike fsUserVideoLike);

    /**
     * 新增课堂视频点赞
     *
     * @param fsUserVideoLike 课堂视频点赞
     * @return 结果
     */
    public int insertFsUserVideoLike(FsUserVideoLike fsUserVideoLike);

    /**
     * 修改课堂视频点赞
     *
     * @param fsUserVideoLike 课堂视频点赞
     * @return 结果
     */
    public int updateFsUserVideoLike(FsUserVideoLike fsUserVideoLike);

    /**
     * 批量删除课堂视频点赞
     *
     * @param likeIds 需要删除的课堂视频点赞主键集合
     * @return 结果
     */
    public int deleteFsUserVideoLikeByLikeIds(Long[] likeIds);

    /**
     * 删除课堂视频点赞信息
     *
     * @param likeId 课堂视频点赞主键
     * @return 结果
     */
    public int deleteFsUserVideoLikeByLikeId(Long likeId);

    R checkLike(Long videoId, long userId);

    void likeVideo(Long videoId, long userId);

    void unlikeVideo(Long videoId, long userId);


}
